
int ledR = 0; // LED RED
int ledG = 1; // LED GREEN
int button = 4; // Button
int but_pressed = HIGH;
int time_delay = 1000; //delay 1 second
int game = 0; // status game ON/Off
int timer = 0;
unsigned long myTime;

void setup() {
  Serial.swap(1);
  Serial.begin(115200); // initialize serial communications

  Serial.println("Hello, game start!");

  pinMode(ledR, OUTPUT);  // initialize digital pin Led Red
  pinMode(ledG, OUTPUT); // initialize digital pin Led Green
  pinMode(button, INPUT); // initialize digital pin Button
  digitalWrite(ledR, HIGH);   // turn the LED Red on
  digitalWrite(ledG, LOW); // turn the LED Green off
}

void loop() {
  Serial.println("NEW GAME START!!");
  time_delay = random (1000) + 100;  // random with total time the leds On/Off
  myTime = millis();
  digitalWrite(ledR, HIGH);   // turn the LED Red on
  digitalWrite(ledG, LOW); // turn the LED Green off
  game = random(5);  // Random 0 to 4 for probability of turn on the Green Led
  if (game == 1) {  // LED GREEN ON .. PRESS BUTTON FOR WIN!
    digitalWrite(ledR, LOW);   // turn the LED Red on
    digitalWrite(ledG, HIGH); // turn the LED Green off
  }
  timer = myTime + time_delay; // total time
  while (timer > millis()) {  // START LOOP GAME
    but_pressed = digitalRead(button);
    if (but_pressed == HIGH) {

      if (game == 1) {               // ----------------------------- WIN!!!
        Serial.println("Winner!!"); // Print in serial if you win!
        digitalWrite(ledR, LOW);   // turn the LED Red on

        for (int i = 0; i <= 255; i++) {
          analogWrite(ledG, 255 - i); // fade OFF Led Green
          delay(5);
        }
        for (int i = 0; i <= 255; i++) {
          analogWrite(ledG, i); // fade ON Led Green
          delay(5);
        }
        for (int i = 0; i <= 255; i++) {
          analogWrite(ledG, 255 - i); // fade OFF Led Green
          delay(5);

        }
      }
      if (game != 1) {              // ----------------------------- LOST!!!
        Serial.println("Fail!!"); // Print in serial if you fail!
        for (int i = 0; i <= 50; i++) {
          digitalWrite(ledR, HIGH);   // turn the LED Red on
          digitalWrite(ledG, LOW); // turn the LED Green off
          delay(30);
          digitalWrite(ledR, LOW);   // turn the LED Red on
          digitalWrite(ledG, HIGH); // turn the LED Green off
          delay(10);
        }
      }

    }
  }
}
